petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetMatType

Sets the type of matrix created with DMCreateMatrix()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetMatType(DM dm,MatType ctype)

Logically Collective on DM

### Input Parameters

| dm | - the DM context
| ctype | - the matrix type

### Options Database

-dm_mat_type ctype -

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateMatrix(), DMSetMatrixPreallocateOnly(), MatType, DMGetMatType()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/ksp/ksp/examples/tutorials/ex44f.F90.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex35.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex58.c.html
src/snes/examples/tutorials/ex77.c.html
src/snes/examples/tutorials/ex47cu.cu.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages